## atheme-services 3.0.3

=== libmowgli/src/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk

SUBDIRS = libmowgli $(EXAMPLES_BUILD)

include ../mk/objective.mk

=== libmowgli/src/libmowgli/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

PICLDFLAGS = $(LIBLDFLAGS)

OBJECTIVE_LIBS = libmowgli$(SHARED_SUFFIX)
OBJECTIVE_SONAME_SUFFIX = 1

LIBADD += $(DYNAMIC_LD_LIBS)

CFLAGS += $(PICFLAGS) -I.. -DMOWGLI_CORE

SOURCES = \
	mowgli_alloc.c \
	mowgli_argstack.c \
	mowgli_bitvector.c \
	mowgli_dictionary.c \
	mowgli_error_backtrace.c \
	mowgli_formatter.c \
	mowgli_global_storage.c \
	mowgli_hash.c \
	mowgli_heap.c \
	mowgli_hook.c \
	mowgli_init.c \
	mowgli_ioevent.c \
	mowgli_list.c \
	mowgli_logger.c \
	mowgli_mempool.c \
	mowgli_module.c \
	mowgli_object.c \
	mowgli_object_class.c \
	mowgli_object_messaging.c \
	mowgli_object_metadata.c \
	mowgli_queue.c \
	mowgli_random.c \
	mowgli_signal.c \
	mowgli_spinlock.c \
	mowgli_string.c

OBJECTS = ${SOURCES:.c=.o}

INCLUDEDIR = ${prefix}/include/libmowgli

HEADERS = \
	mowgli.h \
	mowgli_alloc.h \
	mowgli_argstack.h \
	mowgli_assert.h \
	mowgli_bitvector.h \
	mowgli_config.h \
	mowgli_dictionary.h \
	mowgli_error_backtrace.h \
	mowgli_exception.h \
	mowgli_formatter.h \
	mowgli_global_storage.h \
	mowgli_hash.h \
	mowgli_heap.h \
	mowgli_hook.h \
	mowgli_init.h \
	mowgli_ioevent.h \
	mowgli_iterator.h \
	mowgli_list.h \
	mowgli_logger.h \
	mowgli_mempool.h \
	mowgli_module.h \
	mowgli_object.h \
	mowgli_object_class.h \
	mowgli_object_messaging.h \
	mowgli_object_metadata.h \
	mowgli_queue.h \
	mowgli_random.h \
	mowgli_signal.h \
	mowgli_spinlock.h \
	mowgli_stdinc.h \
	mowgli_string.h

include ../../mk/objective.mk

install-posthook:
	@mv ${DESTDIR}/${LIBDIR}/libmowgli$(SHARED_SUFFIX) ${DESTDIR}/${LIBDIR}/libmowgli$(SHARED_SUFFIX).1.0.0
	@ln -sf libmowgli$(SHARED_SUFFIX).1.0.0 \
		${DESTDIR}/${LIBDIR}/libmowgli$(SHARED_SUFFIX).1
	@ln -sf libmowgli$(SHARED_SUFFIX).1 \
		${DESTDIR}/${LIBDIR}/libmowgli$(SHARED_SUFFIX)

=== libmowgli/src/examples/listsort/Makefile ===
include ../../../mk/rules.mk
include ../../../mk/init.mk
include ../../../mk/objective.mk

OBJECTIVE_BINS = listsort

LDADD = -L../../libmowgli -lmowgli

CFLAGS += -I../../libmowgli

SOURCES = listsort.c

OBJECTS = ${SOURCES:.c=.o}

listsort: $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) $(LDADD) -o $@
	@printf "%10s     %-20s\n" LINK $@

## atheme-services 3.0.4

=== libmowgli/Makefile ===
include mk/rules.mk
include mk/init.mk

SUBDIRS = src

OBJECTIVE_DATA = libmowgli.pc:$(LIBDIR)/pkgconfig

include mk/objective.mk

=== libmowgli/src/examples/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = randomtest listsort formattertest

include ../../mk/objective.mk

=== libmowgli/src/examples/formattertest/Makefile ===
include ../../../mk/rules.mk
include ../../../mk/init.mk
include ../../../mk/objective.mk

OBJECTIVE_BINS = formattertest

LDADD = -L../../libmowgli -lmowgli

CFLAGS += -I../../libmowgli

SOURCES = formattertest.c

OBJECTS = ${SOURCES:.c=.o}

formattertest: $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) $(LDADD) -o $@
	@printf "%10s     %-20s\n" LINK $@

=== libmowgli/src/examples/randomtest/Makefile ===
include ../../../mk/rules.mk
include ../../../mk/init.mk
include ../../../mk/objective.mk

OBJECTIVE_BINS = randomtest

LDADD = -L../../libmowgli -lmowgli

CFLAGS += -I../../libmowgli

SOURCES = randomtest.c

OBJECTS = ${SOURCES:.c=.o}

randomtest: $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) $(LDADD) -o $@
	@printf "%10s     %-20s\n" LINK $@

## atheme-services 6.0.11

=== Makefile ===
-include extra.mk
-include buildsys.mk

SUBDIRS=$(LIBMOWGLI) src modules $(PODIR)
CLEANDIRS = ${SUBDIRS}

pre-depend: include/hooktypes.h
	@revh=; \
	if [ -d .git ]; then \
		revh=`git log -1 --pretty=oneline | cut -d' ' -f1 2>/dev/null` || :; \
	fi; \
	if [ -z "$$revh" ] && [ ! -r include/serno.h ]; then \
		revh=`sed -ne 's/^node: \(............\).*/\1/p' .hg_archival.txt 2>/dev/null` || :; \
		[ -n "$$revh" ] || revh=unknown; \
	fi; \
	[ -z "$$revh" ] || echo "#define SERNO \"$$revh\"" >include/serno.h

install-extra:
	@echo "----------------------------------------------------------------"
	@echo ">>> Remember to cd to ${prefix} and edit your config file.";
	@echo "----------------------------------------------------------------"

dist:
	@if [ ! -d .hg ]; then \
		echo "make dist only works from a mercurial tree"; \
		false; \
	fi
	hg parent --template '#define SERNO "{rev}:{node|short}"\n' >include/serno.h
	@echo "Creating $(DISTNAME).tar.gz"
	$(RM) -f $(DISTNAME)
	$(LN) -s . $(DISTNAME)
	hg manifest | awk '{ print "$(DISTNAME)/"$$1; } END { print "$(DISTNAME)/configure"; print "$(DISTNAME)/aclocal.m4"; print "$(DISTNAME)/include/sysconf.h.in"; print "$(DISTNAME)/include/serno.h"; }' | $(TAR) -chnzf $(DISTNAME).tar.gz -T /dev/stdin
	$(RM) $(DISTNAME)

include/hooktypes.h: ${SRCDIR}/src/mkhooktypes.sh ${SRCDIR}/src/hooktypes.in
	(cd src && touch .depend && ${MAKE} ../include/hooktypes.h)

buildsys.mk:
	@echo "Run ./configure first you idiot."
	@exit 1

=== modules/Makefile ===
include ../extra.mk
include ../buildsys.mk

SUBDIRS = alis auth backend botserv chanserv crypto gameserv global groupserv helpserv hostserv infoserv memoserv misc nickserv operserv protocol saslserv xmlrpc $(CONTRIB_ENABLE)

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#

LOCALES=es.po ru.po

include ../buildsys.mk

POTTEMPLATE=$(PACKAGE).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --backup=simple --update "$$lang" $(POTTEMPLATE); done

=== src/Makefile ===
PROG		= atheme-services${PROG_SUFFIX}
HELP_LINGUAS	= es ru

BASE_SRCS =				\
	account.c		\
	atheme.c		\
	arc4random.c		\
	auth.c		\
	authcookie.c		\
	base64.c		\
	channels.c		\
	cidr.c		\
	cmode.c		\
	commandtree.c		\
	ctcp-common.c		\
	conf.c		\
	confparse.c		\
	confprocess.c		\
	connection.c		\
	crypto.c		\
	culture.c		\
	database_backend.c	\
	datastream.c		\
	entity.c	\
	event.c		\
	flags.c		\
	function.c		\
	help.c		\
	hook.c		\
	linker.c		\
	logger.c		\
	match.c		\
	md5.c			\
	memory.c		\
	module.c		\
	node.c		\
	object.c		\
	packet.c		\
	parse.c		\
	phandler.c		\
	pmodule.c		\
	poll.c		\
	privs.c		\
	ptasks.c		\
	send.c		\
	servers.c		\
	services.c		\
	servtree.c		\
	signal.c		\
	string.c		\
	strshare.c		\
	svsignore.c		\
	table.c		\
	template.c		\
	tokenize.c		\
	ubase64.c		\
	users.c		\
	uid.c			\
	uplink.c

SRCS = ${BASE_SRCS} version.c

include ../extra.mk
include ../buildsys.mk

CPPFLAGS	+= $(MOWGLI_CFLAGS) $(PCRE_CFLAGS) -I../include -DBINDIR=\"$(bindir)\"
LIBS		+= $(MOWGLI_LIBS) $(PCRE_LIBS) $(RPATH) $(PROG_IMPLIB_LDFLAGS)

build: all

../dist/atheme.conf.userserv-example: ../dist/atheme.conf.example
	(echo '/* atheme.conf.userserv-example, autogenerated from atheme.conf.example */'; \
	sed -e 's@loadmodule "modules/nickserv/identify";@#&@' \
	  -e 's@loadmodule "modules/nickserv/ghost";@#&@' \
	  -e 's@#loadmodule "modules/nickserv/login";@loadmodule "modules/nickserv/login";@' \
	  -e 's/spam;/#spam;/' \
	  -e 's/#no_nick_ownership;/no_nick_ownership;/' \
	  -e 's/nick = "NickServ";/nick = "UserServ";/' \
	  -e 's/user = "NickServ";/user = "UserServ";/' \
	  -e 's/real = "Nickname Services";/real = "User Registration Services";/' ../dist/atheme.conf.example) >../dist/atheme.conf.userserv-example

../dist/atheme.conf.operserv-example: ../dist/atheme.conf.example
	(echo '/* atheme.conf.operserv-example, autogenerated from atheme.conf.example */'; \
	echo '/* This is for an oper services only atheme instance. */'; \
	sed -e '/^\/\* Database backend module/,/^$$/d' \
	  -e '/^\/\* NickServ module/,/^$$/d' \
	  -e '/^\/\* ChanServ module/,/^$$/d' \
	  -e '/modules\/operserv\/akill/d' \
	  -e '/modules\/operserv\/ignore/d' \
	  -e '/modules\/operserv\/soper/d' \
	  -e '/modules\/operserv\/update/d' \
	  -e '/^\/\* MemoServ module/,/^$$/d' \
	  -e '/modules\/infoserv\//s/^/#/' \
	  -e '/^\/\* SASL agent module/,/^$$/d' \
	  -e '/^\/\* GameServ module/,/^$$/d' \
	  -e '/^\/\* BotServ module/,/^$$/d' \
	  -e '/^\/\* HostServ module/,/^$$/d' \
	  -e '/^\/\* HelpServ module/,/^$$/d' \
	  -e '/^\/\* GroupServ module/,/^$$/d' \
	  -e '/modules\/xmlrpc\/account/d' \
	  -e '/modules\/xmlrpc\/channel/d' \
	  -e '/modules\/xmlrpc\/memo/d' \
	  -e 's/name = "services.int"/name = "operserv.int"/' \
	  -e 's/desc = ".*"/desc = "Atheme Operator Services"/' \
	  -e 's/numeric = "00A"/numeric = "00B"/' \
	  -e '/\/\*.*enforce_expire/,/enforce_delay =/d' \
	  -e 's/expire = .*;/expire = 1;/' \
	  -e 's/nick = "OperServ";/nick = "OperServ2";/' \
	  -e 's/nick = "Global";/nick = "Global2";/' \
	  -e 's/nick = "InfoServ";/nick = "InfoServ2";/' \
	  -e 's/spam;/#spam;/' \
	  -e 's/port = 8080/port = 8081/' ../dist/atheme.conf.example) >../dist/atheme.conf.operserv-example

install-extra: ../dist/atheme.conf.userserv-example ../dist/atheme.conf.operserv-example
	-$(INSTALL) -m 755 -d $(DESTDIR)$(prefix)
	-$(INSTALL) -m 755 -d $(DESTDIR)$(bindir)
	-$(INSTALL) -m 755 -d $(DESTDIR)$(sysconfdir)
	-$(INSTALL) -m 755 -d $(DESTDIR)$(localstatedir)
	-$(INSTALL) -m 755 -d $(DESTDIR)$(DOCDIR)
	-$(INSTALL) -m 755 -d $(DESTDIR)$(LOGDIR)
	-$(INSTALL) -m 755 -d $(DESTDIR)$(RUNDIR)
	-$(INSTALL) -m 755 -d $(DESTDIR)$(DATADIR)
	-$(INSTALL) -m 755 -d $(DESTDIR)$(SHAREDIR)/help
	$(INSTALL) -m 600 -c ../dist/atheme.conf.example $(DESTDIR)$(sysconfdir)
	$(INSTALL) -m 644 -c ../dist/atheme.motd.example $(DESTDIR)$(sysconfdir)
	[ -r $(DESTDIR)$(sysconfdir)/atheme.motd ] || $(INSTALL) -m 644 -c ../dist/atheme.motd.example $(DESTDIR)$(sysconfdir)/atheme.motd || :
	$(INSTALL) -m 600 -c ../dist/atheme.conf.userserv-example $(DESTDIR)$(sysconfdir)
	$(INSTALL) -m 600 -c ../dist/atheme.conf.operserv-example $(DESTDIR)$(sysconfdir)
	$(INSTALL) -m 644 -c ../dist/atheme.cron.example $(DESTDIR)$(sysconfdir)
	[ -f ${DESTDIR}${bindir}/atheme ] && ${RM} ${DESTDIR}${bindir}/atheme || :
	-${RM} -f $(DESTDIR)${DOCDIR}/HOOKS $(DESTDIR)${DOCDIR}/MODES $(DESTDIR)${DOCDIR}/XMLRPCLIB $(DESTDIR)${DOCDIR}/technical/HOOKS
	(cd ../doc; for i in *; do \
		[ -f $$i ] && $(INSTALL) -m 644 $$i $(DESTDIR)$(DOCDIR); \
		if [ -d $$i ]; then \
			cd $$i; \
			$(INSTALL) -m 755 -d $(DESTDIR)$(DOCDIR)/$$i; \
			for j in *; do \
				[ -f $$j ] && $(INSTALL) -m 644 $$j $(DESTDIR)$(DOCDIR)/$$i; \
			done; \
			cd ..; \
		fi; \
	done; install -m 644 ../NEWS $(DESTDIR)$(DOCDIR)/RELEASE)
	(cd ../help/default; for i in *; do \
		[ -f $$i ] && $(INSTALL) -m 644 $$i $(DESTDIR)$(SHAREDIR)/help; \
		if [ -d $$i ]; then \
			cd $$i; \
			$(INSTALL) -m 755 -d $(DESTDIR)$(SHAREDIR)/help/$$i; \
			for j in *; do \
				[ -f $$j ] && $(INSTALL) -m 644 $$j $(DESTDIR)$(SHAREDIR)/help/$$i; \
			done; \
			cd ..; \
		fi; \
	done)
	-${RM} -f $(DESTDIR)$(SHAREDIR)/help/hostserv/vhostall
	if [ $(USE_NLS) = yes ]; then \
		for lingua in $(HELP_LINGUAS); do \
			$(INSTALL) -m 755 -d $(DESTDIR)$(SHAREDIR)/help/$$lingua; \
			(cd ../help/$$lingua; for i in *; do \
				[ -f $$i ] && $(INSTALL) -m 644 $$i $(DESTDIR)$(SHAREDIR)/help/$$lingua; \
				if [ -d $$i ]; then \
					cd $$i; \
					$(INSTALL) -m 755 -d $(DESTDIR)$(SHAREDIR)/help/$$lingua/$$i; \
					for j in *; do \
						[ -f $$j ] && $(INSTALL) -m 644 $$j $(DESTDIR)$(SHAREDIR)/help/$$lingua/$$i; \
					done; \
					cd ..; \
				fi; \
			done); \
		done; \
	fi

../include/hooktypes.h: mkhooktypes.sh hooktypes.in
	PATH=`getconf PATH` sh mkhooktypes.sh hooktypes.in >../include/hooktypes.h

include .deps

=== modules/alis/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = alis

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

SRCS = main.c

CPPFLAGS	+= -I../../include

=== modules/auth/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = auth

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

SRCS =			\
	dummy.c				\
	$(LDAP_AUTHC)

CPPFLAGS	+= -I../../include $(LDAP_CFLAGS)
LIBS		+= $(LDAP_LIBS)

=== modules/backend/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = backend

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

SRCS = flatfile.c opensex.c

CPPFLAGS	+= -I../../include

=== modules/botserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = botserv

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

SRCS =			\
	main.c	\
	bottalk.c	\
	help.c	\
	info.c	\
	set.c		\
	set_core.c	\
	set_fantasy.c	\
	set_nobot.c	\
	set_private.c	\

CPPFLAGS	+= -I../../include

=== modules/chanserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = chanserv

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

SRCS =			\
	main.c	\
	access.c \
	akick.c	\
	ban.c		\
	clear.c	\
	clear_bans.c	\
	clear_flags.c	\
	clear_users.c	\
	close.c	\
	count.c	\
	drop.c	\
	fflags.c	\
	flags.c	\
	ftransfer.c	\
	getkey.c	\
	halfop.c	\
	help.c	\
	hold.c	\
	info.c	\
	invite.c	\
	kick.c	\
	list.c	\
	mark.c	\
	op.c		\
	owner.c	\
	protect.c	\
	quiet.c	\
	recover.c	\
	register.c	\
	set.c		\
	set_core.c	\
	set_email.c	\
	set_entrymsg.c	\
	set_fantasy.c	\
	set_founder.c	\
	set_gameserv.c \
	set_guard.c	\
	set_keeptopic.c	\
	set_limitflags.c \
	set_mlock.c	\
	set_prefix.c	\
	set_private.c	\
	set_property.c	\
	set_restricted.c  \
	set_secure.c	\
	set_topiclock.c	\
	set_url.c	\
	set_verbose.c	\
	successor_acl.c \
	status.c	\
	taxonomy.c	\
	template.c	\
	topic.c	\
	unban_self.c	\
	version.c	\
	voice.c	\
	why.c		\
	xop.c

CPPFLAGS	+= -I../../include

=== modules/contrib/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = contrib

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

SRCS =			\
	cs_kickdots.c		\
	cs_ping.c		\
	cs_regnotice.c		\
	cs_sync.c		\
	cs_updown.c		\
	cs_userinfo.c		\
	gen_echoserver.c	\
	gen_httpd.c		\
	gen_listenerdemo.c	\
	gen_regcheckemail.c	\
	gen_vhostonreg.c	\
	graphtastical.c	\
	ircd_catserv.c	\
	ns_fenforce.c		\
	ns_fregister.c	\
	ns_forbid.c		\
	ns_generatehash.c	\
	ns_generatepass.c	\
	ns_guestnoreg.c	\
	ns_listlogins.c	\
	ns_mxcheck.c		\
	ns_mxcheck_async.c	\
	ns_regnotice.c	\
	ns_waitreg.c	\
	on_db_save.c		\
	os_akillnicklist.c	\
	os_kill.c		\
	os_klinechan.c	\
	os_pingspam.c		\
	os_savechanmodes.c	\
	os_tabletest.c	\
	os_testcmd.c		\
	os_testproc.c		\
	os_trace.c		\
	wumpus.c

CPPFLAGS	+= -I../../include
CFLAGS		+= ${PLUGIN_CFLAGS}

=== modules/crypto/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = crypto

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

SRCS =			\
	$(POSIX_CRYPTC)	\
	ircservices.c		\
	rawmd5.c		\
	rawsha1.c		\
	sorservices.c

CPPFLAGS	+= -I../../include
# Only rawsha1.so needs this, oh well.
LIBS		+= ${SSL_LIBS}

=== modules/gameserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = gameserv

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

SRCS = dice.c  eightball.c  help.c  main.c  namegen.c  rps.c

CPPFLAGS	+= -I../../include

=== debian/changelog ===
atheme-services (6.0.11-2) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Add README.source to explain how the underlay feature works
  * Fix watch file, www.atheme.net doesn't seem to resolve
  * Fix lintian warning: include init-functions in init.d
  * Update to standards 3.9.5
  * Fix logrotate.d script, thanks Graham Dunn (Closes: #746784)
  * Bug fix: "URL borken", thanks to Christoph Biedl (Closes: #747390)

  [Mike Mestnik]
  * fix init.d status using status_of_proc (Closes: #737882)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 07 Jul 2014 23:53:23 -0400

atheme-services (6.0.11-1) unstable; urgency=low

  * New upstream release
  * Remove stale lockfiles in startup script
  * Switch to git version control
  * Make me and Micah Anderson the uploaders instead of the too generic
    irc maintainers
  * Upload into unstable (Closes: #646607)
  * Use simpler debian/rules using "dh9" rules
  * This also enables hardening flags

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 09 Jun 2012 17:43:54 -0300

atheme-services (6.0.10-1) unstable; urgency=low

  *  New upstream release
  *  New Maintainer: Mike Mestnik <cheako+apt_repo@mikemestnik.net>
  *  Uploaders: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
  *  Watch file fixed thanks Tim Recout <tim@retout.co.uk> (Closes: #486583)
  *  Watch file fixed again, new upstream location and needs to be 6.x LTSR.
  *  Add gettext as a build-depends (> 3.0 needs for help files) 
  *  Fix init script adds remote_fs depends.
  *  Added logrotate for /var/log/atheme/*.log.
  *  Removed /var/run/atheme from package.
  *  Fix init script again not creates chmowns and chmods /var/run/atheme.
  *  Fix init script again whitespace and usage.
  *  Changed debhelper build-depends to (>= 7)
  *  Ditch upstream make distclean.
  *  Make use of dh-autoreconf when calling make all.
  *  Updated copyright to reflect new download location and re-debianiziation.
  *  Updated copyright to track upstream 2005-2007 becomes 2005-2010.
  *  Used ./configure cross compile code from dh_make.
  *  Removed LDFLAGS -z,defs, causing module callbacks to trip an error.
  *  Updated ./configure folder definitions, no files should have been moved.
  *  Used upstream NEWS as upstream changelog.
  *  Included, this file, Debian changelog.
  *  Croak if there are files built by the embedded libmowgli code.
  *  If this croak is removed it might be possible to build the embedded code
  *  Use 3.0 (quilt) source.
  *  Clean up debian/rules depends, add build-arch/indep.
  *  Added "Copyright " in debian/copyright to "(C) 2005 Trystan Scott Lee."
  *  Added "Copyright " in debian/copyright to
           "(C) 2007, William Pitcock <nenolod@sacredspiral.co.uk>"
  *  Added Mike Mestnik under Debian packaging to debian/copyright.
  *  Updated references to symlink license to reflect version-ed license.
  *  Use dh_prep.
  *  Use dpkg-buildflags, rather unsuccessfully.
  *  Implemented status in init.
  *  New standards version 3.9.3

 -- Mike Mestnik <cheako+apt_repo@mikemestnik.net>  Sat, 17 Mar 2012 17:53:47 -0600

atheme-services (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Add me to uploaders 

 -- Matt Arnold <mattarnold5@gmail.com>  Tue, 08 Apr 2008 20:53:07 -0400

atheme-services (3.0.3-1) unstable; urgency=low
  
  * New upstream release.
 
 -- Darren Blaber <dmbtech@gmail.com>  Fri, 18 Jan 2008 21:41:39 -0500 

atheme-services (2.2.0+hg20071209-1) experimental; urgency=low

  * Initial release (Closes: #435881)

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Sun, 09 Dec 2007 13:12:21 -0600

=== debian/control ===
Source: atheme-services
Section: net
Priority: optional
Maintainer: Mike Mestnik <cheako+apt_repo@mikemestnik.net>
Uploaders: Antoine Beaupré <anarcat@debian.org>, Micah Anderson <micah@debian.org>
Build-Depends: dpkg-dev (>= 1.16.0), debhelper (>= 9), autotools-dev, dh-autoreconf, libssl-dev, gettext, libmowgli-dev (>= 0.7), pkg-config
Standards-Version: 3.9.5
Homepage: http://atheme.net/atheme.html
Vcs-Git: git://anonscm.debian.org/collab-maint/atheme-services.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/atheme-services.git

Package: atheme-services
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: ircd
Description: modular IRC services daemon
 atheme-services is a portable, secure set of open source, modular IRC
 services, designed to run on many IRC server implementations.
 .
 Unlike alternative packages, atheme-services' core is minimalistic,
 providing only core functionality. atheme-services is a complete services
 set, excluding features designed for oper abuse.

=== debian/watch ===
version=3
http://atheme.net/downloads/ atheme-services-(6\..*)\.tar\.bz2

## atheme-services 7.2.6

=== include/protocol/Makefile ===
include ../../extra.mk

INCLUDES = \
	asuka.h		\
	bahamut.h	\
	charybdis.h	\
	hybrid.h	\
	inspircd.h	\
	ircd-seven.h	\
	ircnet.h	\
	nefarious.h	\
	ratbox.h	\
	shadowircd.h	\
	undernet.h	\
	unreal.h

includesubdir = $(PACKAGE)/protocol

include ../../buildsys.mk

=== modules/botserv/Makefile ===
--- 
+++ 
@@ -7,10 +7,6 @@
 #
 
 MODULE = botserv
-
-include ../../extra.mk
-include ../../buildsys.mk
-include ../../buildsys.module.mk
 
 SRCS =			\
 	main.c	\
@@ -23,4 +19,10 @@
 	set_nobot.c	\
 	set_private.c	\
 
+include ../../extra.mk
+include ../../buildsys.mk
+include ../../buildsys.module.mk
+
 CPPFLAGS	+= -I../../include
+LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}
+

=== modules/hostserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = hostserv

SRCS = group.c  help.c  main.c  offer.c  onoff.c  request.c  vhost.c  vhostnick.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/protocol/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = protocol

SRCS = \
	asuka.c	\
	bahamut.c	\
	base36uid.c	\
	charybdis.c	\
	elemental-ircd.c\
	hybrid.c	\
	inspircd.c	\
	ircd-seven.c  \
	ircnet.c	\
	mixin_nohalfops.c	\
	mixin_noholdnick.c	\
	mixin_noowner.c	\
	mixin_noprotect.c	\
	nefarious.c	\
	ngircd.c	\
	p10-generic.c	\
	ratbox.c	\
	shadowircd.c	\
	ts6-generic.c	\
	undernet.c	\
	unreal.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== debian/changelog ===
atheme-services (7.2.6-1) unstable; urgency=medium

  * new upstream release (Closes: #747389)
  * fix libmowgli dependency (Closes: #830438)
  * keep minimal logs by default (7 days instead of 52 weeks)
  * make build flags show up
  * clarify why we still use overlays
  * enable reproducible builds (new patch from upstream)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 01 Aug 2016 16:44:41 -0400

atheme-services (7.0.7-2) unstable; urgency=medium

  * fixes for CVE-2014-9773 and CVE-2016-4478
  * fix duplicate changelog

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 03 May 2016 12:08:48 -0400

atheme-services (7.0.7-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Update policy to 3.9.7, no change
  * Upload to unstable (Closes: #747389)
  * Fix changelog install to be reproducible
  * Remove build warnings due to -pedantic
  * Fix homepage URLs
  * Fix watch file to follow upstream change
  * Officially take over maintainership, as I have been performing all
    uploads since this package passed NEW in 2012

  [ Christopher Elsby ]
  * make dbverify path unique so it doesn't clash with 389-ds (Closes:
    #769145)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Mar 2016 20:27:44 -0400

atheme-services (7.0.7-1~exp0) experimental; urgency=low

  [ Jeff Horelick ]
  * New upstream release (Closes: #747389)
  * Disable LDAP, Perl and Cracklib support, as they are incomplete,
    unused or difficult to setup without meddling with extra dependencies
    we want to avoid

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 07 Jul 2014 22:52:14 -0400

atheme-services (7.0.5-1) experimental; urgency=low

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 29 Sep 2012 21:30:27 -0400

atheme-services (7.0.3-1) experimental; urgency=low

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 09 Jun 2012 21:32:33 -0300

=== debian/control ===
Source: atheme-services
Section: net
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: dpkg-dev (>= 1.16.0)
             , debhelper (>= 9)
             , autotools-dev
             , dh-autoreconf
             , libssl-dev
             , gettext
             , libmowgli-2-dev (>= 2.1.0)
             , pkg-config
Standards-Version: 3.9.7
Homepage: https://atheme.github.io/atheme.html
Vcs-Git: git://anonscm.debian.org/collab-maint/atheme-services.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/atheme-services.git

Package: atheme-services
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: ircd
Description: modular IRC services daemon
 atheme-services is a portable, secure set of open source, modular IRC
 services, designed to run on many IRC server implementations.
 .
 Unlike alternative packages, atheme-services' core is minimalistic,
 providing only core functionality. atheme-services is a complete services
 set, excluding features designed for oper abuse.

=== debian/watch ===
version=3
https://atheme.github.io/atheme.html downloads/atheme-services-(\d+\..*)\.tar\.bz2

## atheme-services 7.2.7

=== debian/changelog ===
atheme-services (7.2.7-1) unstable; urgency=medium

  * new upstream release
  * stop using overlay, upstream seems to have cleaned up their thing
  * fix watch file
  * add missing lsb-base dependency
  * update standards version, no change
  * silence lintian warnings about libathemecore
  * new patches to fix FTBFS with OpenSSL 1.1.0 (Closes: #828241):
    * openssl-1.1.0-5480943.patch
    * openssl-1.1.0-b04f18e.patch
  * remove patches factored in upstream:
    * reproducible-f4cd16d.patch (Closes: #818947)
    * CVE-2014-9773.patch
    * CVE-2016-4478.patch

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Nov 2016 09:59:17 -0500

## atheme-services 7.2.9

=== include/Makefile ===
include ../extra.mk

.PHONY: serno.h

SUBDIRS = inline protocol

DISTCLEAN = hooktypes.h serno.h
pre-depend: ${DISTCLEAN}

INCLUDES = \
	abirev.h		\
	account.h		\
	atheme.h		\
	atheme_memory.h		\
	atheme_string.h		\
	auth.h			\
	authcookie.h		\
	base64.h		\
	channels.h		\
	commandtree.h		\
	common.h		\
	conf.h			\
	confprocess.h		\
	connection.h		\
	crypto.h		\
	culture.h		\
	database_backend.h	\
	datastream.h		\
	entity-validation.h	\
	entity.h		\
	flags.h			\
	global.h		\
	hook.h			\
	hooktypes.h		\
	httpd.h			\
	i18n.h			\
	libathemecore.h		\
	linker.h		\
	match.h			\
	md5.h			\
	module.h		\
	object.h		\
	phandler.h		\
	pmodule.h		\
	privs.h			\
	res.h			\
	reslib.h		\
	sasl.h			\
	serno.h			\
	servers.h		\
	services.h		\
	servtree.h		\
	sourceinfo.h		\
	stdinc.h		\
	sysconf.h		\
	table.h			\
	taint.h			\
	template.h		\
	tools.h			\
	uid.h			\
	uplink.h		\
	users.h

hooktypes.h: hooktypes.in mkhooktypes.sh
	$(info Generate: $@)
	@sh mkhooktypes.sh hooktypes.in >hooktypes.h

serno.h:
	$(info Generate: $@)
	@revh=`git log -1 --pretty=oneline | cut -d' ' -f1 2>/dev/null` || :; \
	[ -z "$$revh" ] || echo "#define SERNO \"$$revh\"" >serno.h

include ../buildsys.mk

=== libathemecore/Makefile ===
SHARED_LIB		= ${LIB_PREFIX}athemecore${LIB_SUFFIX}
LIB_MAJOR	= 1
LIB_MINOR	= 0
HELP_LINGUAS	= es ru fr

BASE_SRCS =				\
	account.c		\
	atheme.c		\
	arc4random.c		\
	auth.c		\
	authcookie.c		\
	base64.c		\
	channels.c		\
	cidr.c		\
	cmode.c		\
	commandtree.c		\
	ctcp-common.c		\
	conf.c		\
	confprocess.c		\
	connection.c		\
	crypto.c		\
	culture.c		\
	database_backend.c	\
	datastream.c		\
	entity.c	\
	explicit_bzero.c	\
	flags.c		\
	function.c		\
	help.c		\
	hook.c		\
	linker.c		\
	logger.c		\
	match.c		\
	md5.c			\
	memory.c		\
	module.c		\
	node.c		\
	object.c		\
	packet.c		\
	phandler.c		\
	pmodule.c		\
	privs.c		\
	ptasks.c		\
	res.c		\
	reslib.c	\
	qrcode.c	\
	send.c		\
	servers.c		\
	services.c		\
	servtree.c		\
	sharedheap.c		\
	signal.c		\
	snprintf.c		\
	string.c		\
	strshare.c		\
	svsignore.c		\
	table.c		\
	template.c		\
	tokenize.c		\
	ubase64.c		\
	users.c		\
	uid.c			\
	uplink.c

SRCS = ${BASE_SRCS} version.c

include ../buildsys.mk
include ../extra.mk

CPPFLAGS	+= $(MOWGLI_CFLAGS) $(PCRE_CFLAGS) $(LIBQRENCODE_CFLAGS) -I../include -DBINDIR=\"$(bindir)\"
CFLAGS		+= $(LIB_CFLAGS)
LIBS		+= $(MOWGLI_LIBS) $(PCRE_LIBS) $(LIBINTL) $(LIBQRENCODE_LIBS)
LDFLAGS         += $(LDFLAGS_RPATH)

build: depend all

=== po/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #   'make update-pot' respectively.
 #
 
-LOCALES=es.po ru.po
+LOCALES=es.po ru.po cy.po de.po da.po fr.po
 
 include ../buildsys.mk

=== modules/backend/Makefile ===
--- 
+++ 
@@ -8,10 +8,11 @@
 
 MODULE = backend
 
+SRCS = flatfile.c corestorage.c opensex.c
+
 include ../../extra.mk
 include ../../buildsys.mk
 include ../../buildsys.module.mk
 
-SRCS = flatfile.c opensex.c
-
+LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}
 CPPFLAGS	+= -I../../include

=== modules/chanfix/Makefile ===
# Copyright (c) 2010 Atheme Development Group
# Rights to this code are documented in doc/LICENSE.

PLUGIN = main$(PLUGIN_SUFFIX)

SRCS = main.c gather.c fix.c

include ../../extra.mk
include ../../buildsys.mk

plugindir = $(MODDIR)/modules/chanfix

CPPFLAGS += -I../../include
CFLAGS += $(PLUGIN_CFLAGS)
LDFLAGS += $(PLUGIN_LDFLAGS)
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/contrib/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = contrib

SRCS = $(wildcard *.c)

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
CFLAGS		+= ${PLUGIN_CFLAGS}
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/crypto/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = crypto

SRCS =			\
	pbkdf2.c	\
	pbkdf2v2.c	\
	posix.c		\
	ircservices.c	\
	rawmd5.c	\
	rawsha1.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS		+= ${SSL_LIBS}
LIBS 		+= -L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/exttarget/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = exttarget

SRCS = main.c oper.c registered.c channel.c chanacs.c server.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/global/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = global

SRCS = main.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/memoserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = memoserv

SRCS = delete.c  forward.c  help.c  ignore.c  list.c  main.c  read.c  send.c  sendall.c  sendops.c  sendgroup.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/saslserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = saslserv

SRCS = \
	authcookie.c	\
	ecdsa-nist256p-challenge.c \
	external.c	\
	main.c		\
	plain.c

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

CPPFLAGS	+= -I../../include
LIBS		+= ${SSL_LIBS}
LIBS		+= -L../../libathemecore -lathemecore ${LDFLAGS_RPATH}

=== modules/scripting/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

SUBDIRS = $(PERL_ENABLE)
MODULE = scripting

include ../../extra.mk
include ../../buildsys.mk

=== debian/changelog ===
atheme-services (7.2.9-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:33 +0000

atheme-services (7.2.9-1) unstable; urgency=medium

  * new upstream release (7.2.8) fixing security issue "saslserv/main: free
    sasl_sourceinfo_t after use" see:
    https://github.com/atheme/atheme/pull/539
  * new upstream release (7.2.9) fixing security issue introduced in
    7.2.8: "Fix use after free during impersonation" (Closes: #855588)
  * remove two OpenSSL 1.1 patches merged upstream

  [ Jos Ahrens ]
  * email templates: Fix leading whitespace

  [ Aaron Jones ]
  * atheme.conf.example: better highlight the pbkdf2v2 crypto module
  * pbkdf2v2: make digest and rounds configurable at runtime
  * memoserv: let user know (on identify and /away) when their inbox is full
  * memoserv: unregister hooks when unloading

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 07 Feb 2017 21:01:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: atheme-services
 Section: net
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
 Uploaders: Micah Anderson <micah@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.0)
              , debhelper (>= 9)
@@ -11,14 +12,16 @@
              , gettext
              , libmowgli-2-dev (>= 2.1.0)
              , pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://atheme.github.io/atheme.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/atheme-services.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/atheme-services.git
 
 Package: atheme-services
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
+       , ${misc:Depends}
+       , lsb-base
 Enhances: ircd
 Description: modular IRC services daemon
  atheme-services is a portable, secure set of open source, modular IRC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# To enable all hardening options, uncomment following line
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -D_FORTIFY_SOURCE=2
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# the build system silences build flags without this set
export V=1

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-fhs-paths \
        --disable-rpath --prefix=/ --exec-prefix=/usr \
        --datarootdir=/usr/share --sysconfdir=/etc/atheme \
        --bindir=/usr/sbin --includedir=/usr/include \
        --docdir=/usr/share/doc/atheme-services/ \
        --enable-reproducible-builds \
		--without-perl --without-cracklib --without-ldap

override_dh_auto_clean: 
	[ ! -f buildsys.mk ] || make clean
	# Manually remove files, due to authors distclean not safe
	find -name .deps -type f -delete
	[ ! -f buildsys.mk ] || rm buildsys.mk
	[ ! -f config.sub ] || rm config.sub
	[ ! -f config.guess ] || rm config.guess
	[ ! -f config.log ] || rm config.log
	[ ! -f config.status ] || rm config.status
	[ ! -f dist/atheme.conf.operserv-example ] || rm dist/atheme.conf.operserv-example
	[ ! -f dist/atheme.conf.userserv-example ] || rm dist/atheme.conf.userserv-example
	[ ! -f extra.mk ] || rm extra.mk
	[ ! -f include/sysconf.h ] || rm include/sysconf.h

override_dh_auto_install:
	dh_auto_install

	cp $(CURDIR)/debian/atheme-services.default $(CURDIR)/debian/atheme-services/etc/default/atheme-services

	# Croak if there is files created by the embedded code.
	[ ! -d $(CURDIR)/debian/atheme-services/usr/include/libmowgli -a \
	  ! -f $(CURDIR)/debian/atheme-services/usr/lib/libmowgli.so ]

	# atheme-services allows wide configure latitude, so we want to make sure the user
	# reads the config files...
	rm -f $(CURDIR)/debian/atheme-services/etc/atheme/*

	# shut lintian up by not installing the LICENSE...
	rm -f $(CURDIR)/debian/atheme-services/usr/share/doc/atheme-services/LICENSE
	rm -f $(CURDIR)/debian/atheme-services/usr/share/doc/atheme/LICENSE

	# shut lintian up by removing the run folder.
	rm -rf $(CURDIR)/debian/atheme-services/var/run

=== debian/watch ===
version=3
https://github.com/atheme/atheme/releases .*/atheme-?((?:\d+\.?)*).tar.bz2
